Bug 103910 - no Makefile option to build dspam with cyrus-imapd23
Summary: no Makefile option to build dspam with cyrus-imapd23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-02 16:30 UTC by Steffen Rick
Modified: 2006-10-10 12:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Rick 2006-10-02 16:30:14 UTC
there is no Makefile option to build mail/dspam with cyrus-imapd23 as LDA.

Fix: apply patch to mail/dspam/Makefile



.ifdef(WITH_EXIM_LDA)--e3RFHJUBRypF7CzUZgroBgzc6BnZQlyoXBrtn0ePsmLqnzCI
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile    Fri Jul  7 22:19:05 2006
+++ Makefile.new        Mon Oct  2 16:25:16 2006
@@ -77,6 +77,7 @@
 ## MTA and LDA
 OPTIONS+=      CYRUS21_LDA "Use Cyrus's 2.1 deliver as LDA" off
 OPTIONS+=      CYRUS22_LDA "Use Cyrus's 2.2 deliver as LDA" off
+OPTIONS+=      CYRUS23_LDA "Use Cyrus's 2.3 deliver as LDA" off
 OPTIONS+=      EXIM_LDA "Use Exim as local delivery agent" off
 OPTIONS+=      MAILDROP_LDA "Use Maildrop as local delivery agent" off
 OPTIONS+=      PROCMAIL_LDA "Use Procmail as local delivery agent" off
@@ -351,6 +352,12 @@
 RUN_DEPENDS+=  ${LOCALBASE}/cyrus/bin/deliver:${PORTSDIR}/mail/cyrus-imapd22
 CONFIGURE_ARGS+=       --with-delivery-agent='${LOCALBASE}/cyrus/bin/deliver'
 LDA_COUNT:=    ${LDA_COUNT:S/o//}
+.endif
+
+.if defined(WITH_CYRUS23_LDA)
+RUN_DEPENDS+=   ${LOCALBASE}/cyrus/bin/deliver:${PORTSDIR}/mail/cyrus-imapd23
+CONFIGURE_ARGS+=        --with-delivery-agent='${LOCALBASE}/cyrus/bin/deliver'
+LDA_COUNT:=     ${LDA_COUNT:S/o//}
 .endif
How-To-Repeat: try to build mail/dspam with cyrus-imapd23 as LDA
Comment 1 Edwin Groothuis freebsd_committer 2006-10-03 00:10:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Over to maintainer
Comment 2 dfilter service freebsd_committer 2006-10-08 08:41:49 UTC
itetcu      2006-10-08 07:41:42 UTC

  FreeBSD ports repository

  Modified files:
    mail/dspam           Makefile 
    mail/dspam/files     UPDATING 
  Log:
  Added CYRUS23_LDA "Use Cyrus's 2.3 deliver as LDA", defaults to off
  
  PR:             ports/103910
  Submitted by:   Steffen Rick <srick@srick.org>
  
  Revision  Changes    Path
  1.57      +10 -3     ports/mail/dspam/Makefile
  1.27      +6 -1      ports/mail/dspam/files/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-10-08 08:42:50 UTC
State Changed
From-To: open->patched

commited, reminder that I need to patch dspam-devel also
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-10-10 12:32:21 UTC
State Changed
From-To: patched->closed

Commited to -devel also.